### Method

# Atk Component get_extents

#### Declaration [src]

    void
    atk_component_get_extents (
      AtkComponent* component,
      gint* x,
      gint* y,
      gint* width,
      gint* height,
      AtkCoordType coord_type
    )

#### Description [src]

Gets the rectangle which gives the extent of the `component`.

If the extent can not be obtained (e.g. a non-embedded plug or missing support), all of x, y, width, height are set to -1.

#### Parameters

`x`

  Type: `gint*`

  Address of #gint to put x coordinate.

  The argument will be set by the function.
  The argument can be `NULL`.

`y`

  Type: `gint*`

  Address of #gint to put y coordinate.

  The argument will be set by the function.
  The argument can be `NULL`.

`width`

  Type: `gint*`

  Address of #gint to put width.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `gint*`

  Address of #gint to put height.

  The argument will be set by the function.
  The argument can be `NULL`.

`coord_type`

  Type: `AtkCoordType`

  Specifies whether the coordinates are relative to the screen or to the components top level window.